Subject: Re: [PATCH net-next V2 5/5] net/mlx4: Add VST QinQ support

From: John Fastabend <[email-masked]>
Date: Wed, 27 Jul 2016 11:05:25 -0700

On 16-07-26 07:23 AM, Tariq Toukan wrote:
> Hi John,
> 
> Currently we support one tag set to a VF by the administrator, with the
> new interface can be either C-VLAN or S-VLAN.
> Once S-VLAN is set by administrator, the VM can set the C-VLANs it wants
> to use.
> 
> S-VLAN + C-VLAN per vf currently is not supported, but can be a future
> use case.
> Command line in such case should add more tuples of {vlan, qos, proto}
> such as:
> ip link set dev ens2 vf 0 vlan 100  qos 2 proto 802.1ad vlan 50 qos 4
> proto 802.1q
> 

yep looks good to me.

> As we currently don't support it, we will change the new
> IFLA_VF_VLAN_INFO struct to include a list of such tuples and currently
> use only the first one.
> Is that what you meant?
> 

Yep that was exactly my suggestion. Because I know hardware that
supports the double tag mode and as soon as someone sees they can
change the proto they will ask me to support double tags.

There are two approaches to this either make the struct understand
a list of tags or build it into the netlink message using netlink
TLV constructs. I'm OK with either approach take a look at the code
and see how it looks.

Thanks for working on this.

> Regards,
> Tariq and Moshe